##### Start Release Orchestration ######

- slug: release-orch_1
  parent:
  short_jtbd: Create a release and update it
  jtbd: When I'm ready to deploy a change I want to deploy to production state for customer consumption so I can get adoption of the product released.
  grade: "b"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab-design/-/issues/431"
  group: Release Management
- slug: release-orch_2
  parent: release-orch_1
  short_jtbd:
  jtbd: When tracking important deliverables in my project I want to easily create and manage all related information for a software release  so I can provide a packaged software, notes, and files for people to use
  grade: "c"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab-design/-/issues/431"
  group: Release Management
- slug: release-orch_3
  parent: release-orch_1
  short_jtbd:
  jtbd: When releasing changes to various environments  I want to be able to tag versions of code  so I can track an incremental build through approvals to become a production version/build.
  grade: "b"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab-design/-/issues/431"
  group: Release Management
- slug: release-orch_4
  parent: release-orch_1
  short_jtbd:
  jtbd: When ready to prepare a new version of my software to be released I want to be able to add all available attributes to my package of release content from a single place (whether in the UI or API) so I can bring all data without having to change application context
  grade: "c"
  confidence: Heuristic
  source:
  group: Release Management
- slug: release-orch_5
  parent:
  short_jtbd: Tracking and coordinating deployments
  jtbd: When ensuring teams are coordinated about Releases I want to deploy to production state for customer consumption so I can show the body of work that goes into deploying to production.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-orch_6
  parent: release-orch_5
  short_jtbd:
  jtbd: When I am planning deployments or changes to production I want to make sure all my teams are informed and know what changes will be be made when so I can ensure our customers have positive experience with our code/product.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-orch_7
  parent: release-orch_5
  short_jtbd:
  jtbd: When I am planning deployments or changes to production I want to use a single tool across multiple projects so I can reduce failure points in the devops lifecycle as a switch tools.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-orch_8
  parent: release-orch_5
  short_jtbd:
  jtbd: When scheduling a future release I want to keep my release private or only to internal team member so I can publish the final version at a later date.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-evid-1
  parent:
  short_jtbd: Easily respond to audit request
  jtbd: When I am looking at changes to a production environment  I want to be able to see who made the changes, when and why the changes were made so I can adequately respond to an audit
  grade: "d"
  confidence: Heuristic
  source:
  group: Release Management
- slug: release-evid-2
  parent: release-evid-1
  short_jtbd:
  jtbd: When I am requested from an auditor to sample changes to production I want to easily and naturally provide the source of the change so I can adequately respond to an audit
  grade: "-"
  confidence: Researched
  source:
  group: Release Management
- slug: release-evid-3
  parent: release-evid-1
  short_jtbd:
  jtbd: When a compliance check is run and the compliance team wants to confirm we have records of production I want to be able to minimize the disruption to the internal teams by empowering the compliance team to self-serve these changes without giving access to the source code so I can adequately respond to an audit
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-evid-4
  parent: release-evid-1
  short_jtbd:
  jtbd: When an auditor is asking for proof of separation of duties in my changes to productions I want to be able to show who made the change and who approved the change to production so I can adequately respond to an audit
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: release-evid-5
  parent:
  short_jtbd: Proactively avoid audit issues
  jtbd: When I am preparing for the auditor I want to be able to confirm we are following compliance standards around MR approvals so I can correct violations prior to an audit request.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-1
  parent:
  short_jtbd: HashiCorp Vault for secrets
  jtbd: When I need to use a secret/token/password I want to use my HashiCorp Vault so I can leverage the tool I am already using for Secrets Management.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-2
  parent: secrets-mgt-1
  short_jtbd:
  jtbd: When I need to use a secret/token/password for a pipeline I want to authenticate into HashiCorp Vault, pass the secret to the CI Job and execute the pipeline so I can leverage the tool I am already using for Secrets Management.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-3
  parent:
  short_jtbd: Securely manage secrets
  jtbd: When I am deploying changes to environments outside of GitLab I want to easily authenticate and pass the appropriate secrets between GitLab and the environment without exposing the secret so I can deploy my changes to production quickly.
  grade: "d"
  confidence: Researched
  source:
  group: Release Management
- slug: secrets-mgt-4
  parent: secrets-mgt-3
  short_jtbd:
  jtbd: When I am using secrets for pipelines I want to be able to access those secrets easily and from a single place so I can deploy my changes to production quickly.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-5
  parent: secrets-mgt-3
  short_jtbd:
  jtbd:  When I am working with tokens or passwords I want to keep these secret and avoid revealing the values in an audit log or to other developers so I can maintain secrets management best pratices and avoid a breach of data.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-6
  parent: secrets-mgt-3
  short_jtbd:
  jtbd: When I am enforcing compliance standards for passwords, tokens, and secrets I want to be able to set automated secret rotation so I can avoid disrupting developers workflows and being in breach of compliance.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: secrets-mgt-7
  parent: secrets-mgt-3
  short_jtbd:
  jtbd: When I am accesing a system to deploy my change to an environment I want to be able to access the system without leaving my CLI to log in so I can deploy my changes to production quickly.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: pages-1
  parent:
  short_jtbd: Easily deploy static sites
  jtbd: When I am deploying a static site I want to use kubernetes for my cloud native installation so I can leverage auto-devops and other benefits of K8.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: pages-2
  parent: easily_deploy_static_sites
  short_jtbd:
  jtbd: When I am setting up a static site for A/B testing I want to have multiple versions for the same site live so I can run tests on different cohorts of users in the same timeframe.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: pages-3
  parent: pages-1
  short_jtbd:
  jtbd: When I have a custom domain or multiple domains I want to be able to redirect the other domains to my custom/main domain so I can optimize SEO rankings and ensure traffic from like domains are tracked.
  grade: "-"
  confidence:
  source:
  group: Release Management
- slug: pages-4
  parent: pages-1
  short_jtbd:
  jtbd: When I am setting up a static site  I want to be able to set up the site with a wildcard DNS so I can avoid setting up a custom domain.
  grade: "-"
  confidence:
  source:
  group: Release Management

##### Start Package ######

- slug: package_jtbd_1
  parent:
  short_jtbd: Reliability + Stability
  jtbd: When my organization is using the GitLab registry to build, deploy and run software, I need the application to function seamlessly and reliably, so our developers have a consistently stable product development and deployment experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_2
  short_jtbd: Authentication
  jtbd: When my development organization changes and grows, I need an intuitive way to manage permissions related to the GitLab registries, so that I don't have to maintain multiple authentication systems or passing tokens between applications.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_3
  short_jtbd: Find + Validate
  jtbd: When I am investigating a dev dependency, I need easy access to metadata and historical information related to the specific dependency, so that I can deliver a consistent and stable experience to customers.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_4
  short_jtbd: Verify + Protect
  jtbd: When a dependency is identified as critical to the business or organization, I need a way to identify, verify, and protect the dependency from being altered, so my organization's product development experience is stable and transparent.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660711"
  group: Package
- slug: package_jtbd_5
  short_jtbd: Storage management
  jtbd: When my organization stores dependencies in a registry, I need tools to keep the registries organized and  manage the storage costs, so I can balance a stable product development environment for my team with storage related costs.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660732"
  group: Package
- slug: package_jtbd_6
  parent:
  short_jtbd: Migrate + Consolidate
  jtbd: When my organization decides to move forward with GitLab’s Package offering, I need to efficiently plan and migrate my organization’s packages and images to GitLab’s Registries, so I can bring these resources into the single secure DevOps tool without causing disruption to my team.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_272660691"
  group: Package
- slug: package_jtbd_7
  parent:
  short_jtbd: More reliable builds
  jtbd: When my organization is proxying/caching images and/or packages from external remotes, I need the Dependency Proxy to function seamlessly and reliably, so our developers have a consistently stable product development experience.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_309999068"
  group: Package
- slug: package_jtbd_8
  parent:
  short_jtbd: Security + Compliance
  jtbd: When my development ecosystem utilizes third-party package or image dependencies, I need to ensure these assets don't introduce security vulnerabilities and compliance violations to my codebase, so my development and product ecosystem can operate without interruption.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/197187#note_310001008"
  group: Package
- slug: package_jtbd_9
  parent:
  short_jtbd: Versioned Releases
  jtbd: When I create different versions of artifacts I want those to be stored in a central and immutable place for easy access and distribution so that devices and users can consume the latest artifacts in release bundles.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab/-/issues/215390"
  group: Package

##### Start Testing ######

- slug: testing-a11y
  parent:
  short_jtbd: Test Accessibility of a website
  jtbd: When I run CI for a web app or web site, I want to automatically test for accessibility so I can be confident everyone can get value from my changes.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-a11y-a
  parent: testing-a11y
  short_jtbd:
  jtbd: When I make changes for my website, I want to automatically see how those changes impacted accessibility of the site, so that I can be confident everyone can get value from my changes.
  grade: "b"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/gitlab-design/-/issues/1057"
  group: Testing
- slug: testing-a11y-b
  parent: testing-a11y
  short_jtbd:
  jtbd: When I review my website source, I want to see a list of accessibility issues, so that I can proactively fix those issues in a future change.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-code-qual
  parent:
  short_jtbd: Scan and report Code Quality of a project
  jtbd: When I am writing code for a project, I want that code to be scanned for issues like duplication and not following standards, so it is easier to read by others making contributions.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/ux-research/-/issues/1083"
  group: Testing
- slug: testing-code-qual-a
  parent: testing-code-qual
  short_jtbd:
  jtbd: When I make changes to my project, I want to automatically see how those changes impacted the quality of the code, so that I can be confident my change improves the readability of the project.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/ux-research/-/issues/1083"
  group: Testing
- slug: testing-code-qual-b
  parent: testing-code-qual
  short_jtbd:
  jtbd: When I review my project summary, I want to see a list of code quality issues, so that I can proactively fix those issues in a future change.
  grade: "-"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/ux-research/-/issues/1083"
  group: Testing
- slug: testing-code-qual-c
  parent: testing-code-qual
  short_jtbd:
  jtbd: When I am reviewing code in a merge request or a file, I want to see a list of code quality issues identified in the file, so that I can help improve code quality in the project.
  grade: "-"
  confidence: Researched
  source: 
  group: Testing
- slug: testing-unit-results
  parent:
  short_jtbd: Review results of tests ran during continuous integration
  jtbd: When I build my project, I want to review test result data, so that I can stop and review test failures before bugs get into production.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-unit-results-a
  parent: testing-unit-results
  short_jtbd: See failing tests after build
  jtbd: When new or existing tests are failing in a build, I want to be able to identify them and where they are in the code as easily as possible, so that I can fix them quickly and get back to pushing features into production.
  grade: "b"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/ux-research/-/issues/1034"
  group: Testing
- slug: testing-unit-results-b
  parent: testing-unit-results
  short_jtbd: See test coverage in MR
  jtbd: When I open a Merge Request, I want to see if any of the code changes are not covered by tests, so  I can figure out what tests I need to add to maintain or improve the test coverage of the project.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-project-overview
  parent:
  short_jtbd: See the status of a project's tests
  jtbd: When I am reviewing the software projects my team works on, I want to see the trend of test coverage over time, so I can see which way it is trending.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-project-overview-a
  parent: testing-project-overview
  short_jtbd: Measure test coverage of a project over time
  jtbd: When I am reviewing the software projects my team works on, I want to see the trend of test coverage over time, so I can see how our efforts to improve are going OR identify an issue that could cause bugs before it is released.
  grade: "c"
  confidence: Researched
  source: "https://gitlab.com/gitlab-org/ux-research/-/issues/1034"
- slug: testing-project-overview-b
  parent: testing-project-overview
  short_jtbd: Identify possible flaky tests
  jtbd: When I am reviewing the software projects my team works on, I want to see a list of possible flaky tests, so that I know what to focus on to reduce wated time by the team.
  grade: "-"
  confidence:
  source:
- slug: testing-web-perf
  parent:
  short_jtbd: Test performance of a website
  jtbd: When I build my project, I want to know if my changes negatively impact performance of the web components, so that I can ensure customers do not leave because my site is slow.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-web-perf-a
  parent: testing-web-perf
  short_jtbd: Measure change in web performance of a website or project
  jtbd: When I build my project, I want to know how the changes have impacted web performance metrics, so that I can keep my project performant easily.
  grade: "-"
  confidence:
  source:
  group: Testing

- slug: testing-usability
  parent:
  short_jtbd: Test usability of a project
  jtbd: When I am making changes to user centric projects, I want to gather feedback on usability before I merge, so that I can incorporate feedback to keep my design user-centric without a lot of rework.
  grade: "-"
  confidence:
  source:
  group: Testing
- slug: testing-usability-a
  parent: testing-usability
  short_jtbd: Test usability of a project early
  jtbd: When there is a change ready to test, I want to be able to leave comments on visual elements in the review app, so that my teammates can incorporate feedback quickly after the build.
  grade: "-"
  confidence:
  source:
  group: Testing

##### Start Runner ######

- slug: runner-get-started
  parent:
  short_jtbd: Getting started with GitLab Runner
  jtbd: When using a CI/CD tool for the first time, I need to understand what software I need to install and configure to execute the pipeline jobs.
  grade: "-"
  confidence:
  source:
  group: Runner
- slug: runner-get-started-a
  parent: runner-get-started
  short_jtbd:
  jtbd: When I have to address a specific CI build use case or CI platform administrative requirement, I want to configure the CI build software application to ensure that the CI/CD pipeline jobs can run successfully for the specified project types.
  grade: "d"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/gitlab-design/-/issues/600
  group: Runner
- slug: runner-get-started-b
  parent: runner-get-started
  short_jtbd:
  jtbd: When migrating from Jenkins, I want to understand how the new CI build software architecture is different from Jenkins agents, so that I can set up my infrastructure in the most optimal way.
  grade: "-"
  confidence: 
  source: 
  group: Runner
- slug: runner-get-started-c
  parent: runner-get-started
  short_jtbd:
  jtbd: When inspecting an existing job, I want to easily understand the role of an agent, so I can make decisions on its configuration.
  grade: "-"
  confidence: 
  source: 
  group: Runner
- slug: runner-registration-token
  parent: 
  short_jtbd: Reset a GitLab runner registration token
  jtbd: When there is a security incident related to the CI build software, I want to be able to take immediate action to remediate the compromised environment, so that I can limit the impact and risk to my organization.
  grade: "-"
  confidence: Escalated customer security incident
  source: https://gitlab.com/gitlab-org/gitlab/-/issues/273090
  group: Runner
- slug: runner-registration-token-a
  parent: runner-registration-token
  short_jtbd: 
  jtbd: When responding to a security incident or notification of a compromise related to a runner registration token's insecure use, I want to find the compromised runner, so that I can reset the registration token, resulting in the compromised token being invalid.
  grade: "-"
  confidence: 
  source: 
  group: Runner
- slug: runner-enterprise-administration
  parent:
  short_jtbd: Runner Fleet Management
  jtbd: When administering runners for a GitLab instance or group, I need to perform general administrative functions as quickly and efficiently as possible.
  grade: "-"
  confidence:
  source:
  group: Runner
- slug: runner-enterprise-administration-a
  parent: runner-enterprise-administration
  short_jtbd:
  jtbd: When administering runners for a GitLab instance or group, I want to be able to specify the automatic removal of what may be hundreds of runners that have not contacted the GitLab instances for a period of time that is configurable (example X days) so as to reduce the maintenance overhead of maintaining a large GitLab runner fleet.
  grade: "d"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/gitlab/-/issues/226819#note_377488799
  group: Runner
- slug: runner-enterprise-administration-b
  parent: runner-enterprise-administration
  short_jtbd:
  jtbd: When helping a developer or team troubleshoot issues with a CI job that could be caused by a "failing" runner, I need to be able to determine, who registered the Runner,so that I can quickly troubleshoot and resolve the issue.
  grade: "d"
  confidence: Researched
  source:
  group: Runner
- slug: runner-enterprise-administration-c
  parent: runner-enterprise-administration
  short_jtbd:
  jtbd: When helping a developer or team troubleshoot issues with a CI job that could be caused by a "failing" runner, I need to be able to determine, which group the runner is associated with,so that I can quickly troubleshoot and resolve the issue.
  grade: "d"
  confidence: Researched
  source:
  group: Runner
- slug: runner-enterprise-administration-d
  parent: runner-enterprise-administration
  short_jtbd:
  jtbd: When administering runners for a GitLab instance or group, I need an easy way to determine how many runners are out of date by x versions so that I can help with compliance enforcement.
  grade: "d"
  confidence: Researched
  source:
  group: Runner
- slug: runner-enterprise-administration-e
  parent: runner-enterprise-administration
  short_jtbd:
  jtbd: When checking on CI jobs' performance in a GitLab instance, I want to see pending and running jobs so that I can quickly determine if there are performance issues with that runner and the underlying host system or platform.
  grade: "d"
  confidence: Researched
  source:
  group: Runner
- slug: runner-enterprise-administration-f
  parent: runner-enterprise-administration
  short_jtbd:
  jtbd: When administering runners for a GitLab instance or group, I need a direct way to validate that a team hosting their own runner is on the latest version or a version that I have validated and approved for our organization's use.
  grade: "d"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/gitlab-runner/-/issues/27061#note_423808811
  group: Runner

##### Start Plan ######

- slug: plan_jtbd_1
  parent:
  short_jtbd: Map business and portfolio plans to market opportunities
  grade: "-"
  confidence:

  group: Plan
- slug: plan_jtbd_1_a
  parent: plan_jtbd_1
  short_jtbd:
  jtbd: When preparing for planning or strategy review, I need to understand how previous work was performed and what was delivered, so I can make informed decisions on where we need to focus in the future.
  grade: "b"
  confidence: Researched

  group: Plan
- slug: plan_jtbd_1_b
  parent: plan_jtbd_1
  jtbd: When crafting my strategic plan, I need to validate to business owners that I am providing a return, so I can increase trust with stakeholders and promote confidence in my plans.
  grade: "-"
  confidence:

  group: Plan
- slug: plan_jtbd_1_c
  parent: plan_jtbd_1
  jtbd: When working through a list of ideas, I need to be able to validate that an opportunity is valuable and worth funding a solution, so I can deliver value to my customers and drive success for the org.
  grade: "c"
  confidence: Researched

  group: Plan
- slug: plan_jtbd_1_d
  parent: plan_jtbd_1
  jtbd: When working through a list of validated opportunities, I need to be able to understand effort and map ROI for each, so I can prioritize the right sequence of work.
  grade: "-"
  confidence:

  group: Plan
- slug: plan_jtbd_2
  parent:
  short_jtbd: Plan and Collaborate On Value Delivery

  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_2_a
  parent: plan_jtbd_2
  short_jtbd:
  jtbd: When creating or revising an initiative's operational plan, I need to allocate resources to it so it is clear what the projected costs will be and what capacity is available to complete work on an ongoing basis.
  grade: "-"
  confidence:
  source:
  group: Plan
- slug: plan_jtbd_2_b
  parent: plan_jtbd_2
  short_jtbd:
  jtbd: When conducting Product Increment or Sprint planning, my team needs to convert prioritized initiatives and their business objectives into estimate-able work items to be delivered, so that we can sequence work according to available capacity and relative ROI.
  grade: "c"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/900
  group: Plan
- slug: plan_jtbd_2_c
  parent: plan_jtbd_2
  short_jtbd:
  jtbd: When conducting Product Increment or Sprint planning, my team needs to commit to delivering a realistic amount of work within a given time period, so that stakeholders can understand what will be delivered and when.
  grade: "d"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/900
  group: Plan
- slug: plan_jtbd_2_d
  parent: plan_jtbd_2
  short_jtbd:
  jtbd: When organizing and sequencing priority work, I want to visualize a workflow, so I can increase team efficiency and predictability.
  grade: "-"
  confidence:
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1370
  group: Plan
- slug: plan_jtbd_2_e
  parent: plan_jtbd_2
  short_jtbd:
  jtbd: When fulfilling requirements, I want to build quality and maintain quality, so I can increase confidence that I am delivering value to stakeholders.
  grade: "-"
  confidence:
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1379
  group: Plan
- slug: plan_jtbd_3
  parent:
  short_jtbd: Report On Output
  jtbd:
  grade: "-"
  confidence:
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1370
  group: Plan
- slug: plan_jtbd_3_a
  parent: plan_jtbd_3
  short_jtbd:
  jtbd: When collaborating with a team or stakeholders, I want to radiate the current status of work continuously, so I can increase alignment on progress and any impediments that need to be addressed.
  grade: "-"
  confidence:
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1370
  group: Plan
- slug: plan_jtbd_3_b
  parent: plan_jtbd_3
  short_jtbd:
  jtbd: When monitoring a team's work in flight, I need to be able to easily review and digest the current progress so that I can confidently report to stakeholders and leadership.
  grade: "d"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/900
  group: Plan
- slug: plan_jtbd_3_c
  parent: plan_jtbd_3
  short_jtbd:
  jtbd: When reporting status, I need to be able to ensure my status is accurate, current, and quantifiable so I can maintain a high level of trust with stakeholders.
  grade: "c"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/900
  group: Plan
- slug: plan_jtbd_4
  parent:
  short_jtbd: Improve Output Processes
  jtbd:
  grade: "-"
  confidence:
  source: 
  group: Plan
- slug: plan_jtbd_4_a
  parent: plan_jtbd_4
  short_jtbd:
  jtbd: When reviewing a plan, I need to ensure that high risk items can be identified and continually monitored so I can validate and modify mitigation plans.
  grade: "c"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/900
  group: Plan
- slug: plan_jtbd_4_b
  parent: plan_jtbd_4
  short_jtbd:
  jtbd: When implementing to a plan, I need to monitor progress (velocity) so I can demonstrate that the team is efficiently capturing value for our stakeholders.
  grade: "-"
  confidence:
  source: 
  group: Plan
- slug: plan_jtbd_4c
  parent: plan_jtbd_4
  short_jtbd:
  jtbd: When reviewing a prior cycle, I can easily reflect on and improve my team's effectiveness.
  grade: "-"
  confidence:
  source: 
  group: Plan
- slug: plan_jtbd_5
  parent:
  short_jtbd: Measure Outcomes and Learn
  jtbd:
  grade: "-"
  confidence:
  source: 
  group: Plan
- slug: plan_jtbd_5_a
  parent: plan_jtbd_5
  short_jtbd:
  jtbd: When reviewing progress against our objectives, I can easily measure the success of our past work which informs future plans
  grade: "-"
  confidence:
  source: 
  group: Plan
- slug: plan_jtbd_5_b
  parent: plan_jtbd_5
  short_jtbd:
  jtbd: When my team completes a unit of value, we need to get feedback as quickly as possible on whether or not what we delivered was valuable to the end user, so that we can make incremental progress towards our business objectives.
  grade: "-"
  confidence:
  source:  
  group: Plan

##### Start Progressive Delivery ######

- slug: release-pd_1
  parent:
  short_jtbd: Template JTBD
  jtbd: When situation I want to job so I can outcome.
  grade: "-"
  confidence:
  source:
  group: Progressive Delivery
- slug: release-pd_2
  parent: release-pd_1
  short_jtbd: Template JTBD Job Story
  jtbd: When situation I want to job so I can outcome.
  grade: "-"
  confidence:
  source:
  group: Progressive Delivery

  ##### Start Monitor ######
- slug: monitor-self-monitoring_1
  parent:
  short_jtbd: Self Monitoring
  jtbd: When administering GitLab, I can see and understand the performance of GitLab, so that I can take appropriate actions for the benefit of GitLab users.
  grade: "-"
  confidence:
  source:
  group: APM

- slug: monitor-tracing_1
  parent:
  short_jtbd: Tracing
  jtbd: When troubleshooting or analyzing, I want to be able to debug my complex, distributed system, so that I can resolve issues proactively or reactively.
  grade: "-"
  confidence:
  source:
  group: APM

- slug: monitor-logging_1
  parent:
  short_jtbd: Logging
  jtbd: When troubleshooting or verifying the status of my services I want to easily find the necessary information within my logs, so I can quickly get the system back up and running.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/652
  group: APM

- slug: monitor-metrics_1
  parent:
  short_jtbd: Metrics
  jtbd: When analyzing application performance, I can see the important health and performance indicators for my application, so that I am informed when taking the next steps.
  grade: "-"
  confidence:
  source:
  group: APM

- slug: monitor-incident-management_1
  parent:
  short_jtbd: Incident Management
  jtbd: First, when an alert is triggered, I want to be able to triage it quickly, so I can decide if it's worth investigating further or not. Secondly, during an active incident, I want to reduce the time to resolution, so I can get the things back up and running as quickly as possible.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_2
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, single tool
  jtbd: I want all of my alerts from all of my monitoring tools to be visible in one location so that I don't have to check for alerts in multiple places.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_3
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, metrics
  jtbd: I want to see all relevant metrics relating to an alert, so that I can more quickly pinpoint the root issue.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_4
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, logs
  jtbd: I want to see all relevant logs relating to an alert, so that I can more quickly pinpoint the root issue.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_5
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, escalation policies
  jtbd: I want to set up escalation policies for my on-call schedules so I can be confident that, even if the first person paged to review an alert isn't available, someone else will be notified.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_6
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, data
  jtbd: When triaging an incident, I want to review all relevant data so that I can more quickly pinpoint the root issue.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_7
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, assign to teammate
  jtbd: I want to be able to assign an alert to someone on my team, so that they can continue investigating it.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_8
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, incident automation
  jtbd: I want all relevant alert details ported over to any incidents created, so any information uncovered during investigation of the alert is automatically captured in the incident.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_9
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, status
  jtbd: I want to be able to change the status of the alert, for example to acknowledge the alert or mark it resolved, so that my team members know the current status of the alert.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_10
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, communications
  jtbd: During an incident, I want to have quick access to my teammates and communication channels, so we can get to the root cause of the issue as quickly as possible.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_11
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, on-call
  jtbd: I want to set up on-call schedules to handle my alerts so I can be confident that, if an alert is firing, the appropriate people will be paged.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_12
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, change log
  jtbd: I want a log of any changes that are made to the alert by my team (for example, status changes) so I can see what happened, when.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_13
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, automation
  jtbd: I want to automate as much of my incident response documentation as possible, so I spend more time resolving the incident and less time documenting my work.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_14
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, key details
  jtbd: I want to easily capture key details as I investigate an incident, so that I can learn from the present incident and more easily resolve similar future incidents.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_15
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, tool integration
  jtbd: I want to be able to integrate my tools together, so that all of my tools work together seamlessly and I don't have to spend time making the same updates in different tools.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_16
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, publicize updates
  jtbd: During an incident, I want to publicize important updates about the incident, so that stakeholders can stay informed.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_17
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, chatops
  jtbd:  I want my alerting tool to integrate with my chat platform (ex Slack), so that I can easily communicate with my team members in our other communications channels.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_18
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, timeline
  jtbd: After an incident has been resolved, I want to review a timeline of events with my team so that we can identify system, application, and process changes to make so we can improve over time.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_19
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, incident stats
  jtbd: I want to review summary information about my application so I can proactively investigate irregularities before they become large incidents.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_20
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, auto fixes
  jtbd: During an incident, I want to automatically apply fixes to known problems, so that I don't have to manually fix things.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_21
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, trends
  jtbd: I want to review the trends of my incident resolution, so I can track how my response to incidents is evolving over time.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-incident-management_22
  parent: monitor-incident-management_1
  short_jtbd: Incident Management, reporting
  jtbd: I want to generate reports about the incident to share with stakeholders so I can more easily facilitate discussions about the incident with those stakeholders.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/ux-research/-/issues/1142
  group: Monitor

- slug: monitor-error_1
  parent:
  short_jtbd: Error Tracking
  jtbd: When I'm proactively reviewing the list of errors thrown by my code, I want to be able to escalate investigation of the most serious errors, so I can make sure they are addressed before they impact customers.
  grade: "-"
  confidence:
  source: https://gitlab.com/gitlab-org/gitlab/-/issues/229059
  group: Monitor

- slug: monitor-error_2
  parent: monitor-error_1
  short_jtbd: Error Tracking, Filtering
  jtbd: When I'm proactively reviewing the list of errors thrown by my code, I want clean up the list of errors, so that I'm only seeing the errors that are important to me.
  grade: "-"
  confidence:
  source: https://gitlab.com/gitlab-org/gitlab/-/issues/229059
  group: Monitor

##### Start Source Code ######

- slug: source_code-code_review
  short_jtbd: Source Code:Code Review
  jtbd: These JTBD relate to the Code Review category of the Source Code group. The statements were drafted for the FY21-Q2 Category Maturity Scorecard and have not been validated yet.
  group: Create
- slug: source_code-code_review-1
  parent: source_code-code_review
  jtbd: When product improvements are identified, I want to propose changes that address them, so that I can help build a better product.
  grade: "c"
  confidence: ""
  source: "https://gitlab.com/gitlab-org/ux-research/-/issues/941"
  group: Create
- slug: source_code-code_review-2
  parent: source_code-code_review
  jtbd: When my teammates propose changes, I want to review them before they are accepted, so that I can help increase the quality of changes, minimize the risk of defects, minimize the risk of out-of-scope changes, and grow the team’s expertise.

##### Start Manage ######

- slug: compliance-1
  parent:
  short_jtbd: Manage compliance posture
  jtbd: When I am responsible for ensuring the compliance of my organization, I want to ensure we meet all required criteria defined in controls and policies, so that it does not create problems for us during an audit.
  grade: "-"
  confidence:
  source:
  group: Compliance

- slug: micro-job-compliance-1
  parent: compliance-1
  short_jtbd:
  jtbd: When restrictions are necessary, I want to configure an environment, so that I can ensure we are compliant.
  grade: "-"
  confidence:
  source:
  group: Compliance

- slug: micro-job-compliance-2
  parent: compliance-1
  short_jtbd:
  jtbd: When I have complete visibility into adherence of policies, I want to monitor the condition of our software development practices, so that I can address issues before they become more problematic.
  grade: "-"
  confidence:
  source:
  group: Compliance

- slug: micro-job-compliance-3
  parent: compliance-1
  short_jtbd:
  jtbd: When I am preparing for an audit, I want to create shareable deliverables, so that I can provide evidence of compliance.
  grade: "-"
  confidence:
  source:
  group: Compliance

  ##### Start Continuous Integration ######

- slug: continuous-integration_1
  parent:
  short_jtbd: Run automated tasks
  jtbd: When making code changes, I want the changes to be validated automatically, so I can confidently integrate them into the main repository.
  grade: "a"
  confidence: Researched
  source: https://dovetailapp.com/projects/64c12799-7b83-45f0-a0a9-09dfe9a7724b/data/11bdd341-2aa0-434e-8e3e-56f9221179b3
  group: Continuous Integration

- slug: continuous-integration_1_a
  parent: continuous-integration_1
  short_jtbd: 
  jtbd: When committing a change, I want configured tests to run, so I can know whether merging the changes would break the main branch.
  grade: "-"
  confidence:
  source:
  group: Continuous Integration


- slug: continuous-integration_2
  parent:
  short_jtbd: React to outcomes of automated tasks
  jtbd: When using automated tasks to build and test code changes, I want visual cues of progress and potential problems, so I am prompted to act based on task outcomes.
  grade: "a"
  confidence: Researched
  source: https://dovetailapp.com/projects/64c12799-7b83-45f0-a0a9-09dfe9a7724b/data/11bdd341-2aa0-434e-8e3e-56f9221179b3
  group: Continuous Integration

- slug: continuous-integration_2_a
  parent: continuous-integration_2
  short_jtbd: 
  jtbd: When examining a running pipeline, I want to see job durations, so I can notice unusual job behaviors that require immediate action.
  grade: "-"
  confidence: 
  source: 
  group: Continuous Integration

- slug: continuous-integration_2_b
  parent: continuous-integration_2
  short_jtbd: 
  jtbd: When examining a running pipeline, I want to see job statuses, so I can investigate failed jobs while other jobs are still running.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/40568a7c-6db7-4c14-9858-14be5816db81/insights/present/5fecf8b0-28ca-47f5-8f5b-08e7eba2995c
  group: Continuous Integration 

- slug: continuous-integration_2_c
  parent: continuous-integration_2
  short_jtbd: 
  jtbd: When investigating a failed job, I want a quick and easy way to go directly to the details of a problem, so I can efficiently diagnose the root cause and take appropriate action.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/40568a7c-6db7-4c14-9858-14be5816db81/insights/present/5fecf8b0-28ca-47f5-8f5b-08e7eba2995c
  group: Continuous Integration 

- slug: continuous-integration_3
  parent:
  short_jtbd: Analyse CI data across projects
  jtbd: When analysing CI processes at a group or instance level, I want to view historical data about jobs and pipelines, so I can identify trends and opportunities for improvements.
  grade: "-"
  confidence: 
  source: 
  group: Continuous Integration
  
- slug: continuous-integration_3_a
  parent: continuous-integration_3
  short_jtbd: 
  jtbd: When analysing performance, I want a representation of historical data that shows trends, so I can identify efficiency improvements.
  grade: "-"
  confidence: 
  source: 
  group: Continuous Integration
  
- slug: continuous-integration_3_b
  parent: continuous-integration_3
  short_jtbd: 
  jtbd: When analysing CI usage, I want to compare pipeline data across projects, so I can see any correlations between CI usage and effective software development practices.
  grade: "-"
  confidence: 
  source: 
  group: Continuous Integration
  
- slug: continuous-integration_3_c
  parent: continuous-integration_3
  short_jtbd: 
  jtbd: When analysing CI performance for a specific project, I want to see historical pipeline data, so I can identify patterns of recurring problems that are opportunities for improvement.
  grade: "-"
  confidence: 
  source: 
  group: Continuous Integration

- slug: continuous-integration_4
  parent:
  short_jtbd: Configure variables for a specific development environment
  jtbd: When feeding in values to a development environment through variables, I want to have stricter control over the variables so they could not be used by other environments and result in a security or performance concern.
  grade: "-"
  confidence: 
  source: 
  group: Continuous Integration
  
- slug: continuous-integration_5
  parent:
  short_jtbd: Manage variables storing sensitive values
  jtbd: When secrets are referenced in automated tests and processes, I want them to be handled securely, so I can share my credentials without risk of being exposed.
  grade: "-"
  confidence: 
  source: 
  group: Continuous Integration 
  
- slug: continuous-integration_6
  parent:
  short_jtbd: Define scope for CI/CD variables
  jtbd: When architecting pipeline configuration, I want to be able to define the variable so that it is dynamically inherited across all hierarchies of a repository and upstream or downstream a pipeline in order to perform complex operations without scripting those tasks to save time across repositories. 
  grade: "-"
  confidence: 
  source: 
  group: Continuous Integration   

### Start Pipeline Authoring ###

- slug: Pipeline-Authoring_1
  parent:
  short_jtbd: Author a pipeline
  jtbd: I want to author a CI pipeline so others in my team can leverage CI to increase the efficiency of their tasks.
  grade: "d"
  confidence: Researched
  source: https://gitlab.com/groups/gitlab-org/-/epics/4124
  group: Pipeline Authoring

- slug: Pipeline-Authoring_1_a
  parent: Pipeline-Authoring_1
  short_jtbd: Author a pipeline
  jtbd: I want to author a CI pipeline so others in my team can leverage CI to increase the efficiency of their tasks.
  grade: "d"
  confidence: Researched
  source: https://gitlab.com/gitlab-org/gitlab-design/-/issues/1376
  group: Pipeline Authoring

- slug: Pipeline-Authoring_1_b
  parent: Pipeline-Authoring_1
  short_jtbd: Author a pipeline
  jtbd: When authoring a pipeline I would like to know what are the available keywords and their descriptions so I can set-up my pipeline in the most efficient way.
  grade: "d"
  confidence: Researched
  source: https://gitlab.com/groups/gitlab-org/-/epics/4124
  group: Pipeline Authoring

- slug: Pipeline-Authoring_2
  parent:
  short_jtbd: Facilitate CI/CD processes on the team 
  jtbd: I want to make the teams in my organization feel comfortable using CI/CD so we can increase the efficiency of our tasks.
  grade: ""
  confidence: Researched
  source: 
  group: Pipeline Authoring

- slug: Pipeline-Authoring_2_a
  parent: Pipeline-Authoring_2
  short_jtbd: 
  jtbd: When implementing CI/CD practices across the organization, I want to ensure consistency and standardization of CI/CD workflows to ensure compliance and to ease and increase CI/CD adoption across my teams.
  grade: "-"
  confidence: Researched
  source: https://gitlab.com/groups/gitlab-org/-/epics/4989
  group: Pipeline Authoring

- slug: Pipeline-Authoring_1_b
  parent: Pipeline-Authoring_1
  short_jtbd: Author a pipeline
  jtbd: I want to easily access all CI/CD files from one place so I can efficiently configure my CI/CD configuration without a lot of context switching.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/4a4421a9-9fb4-4e16-acab-9ba9042e741d/insights/present/aeb6e24e-3e41-436b-89ec-3f7e0aded460
  group: Pipeline Authoring

##### Start Secure and Protect ######

- slug: secure-implementing-policies
  group: Secure and Protect
  parent:
  short_jtbd: Implementing security scanning policies
  grade: "-"
- slug: secure-implementing-policies-a
  group: Secure and Protect
  parent: secure-implementing-policies
  micro_job: Defining what scans need to run where, and under which circumstances
  jtbd: When I am configuring a CI/CD security scan, I want to specify which assets need to be scanned and under which circumstances, So that I can ensure my assets are secure prior to or at their release.
  grade: "-"
- slug: secure-implementing-policies-b
  group: Secure and Protect
  parent: secure-implementing-policies
  micro_job: Defining what scans need to run where, and under which circumstances
  jtbd: When I am configuring a security scan outside of CI/CD, I want to specify which assets need to be scanned and under which circumstances, So that I can ensure my assets are secure in production.
  grade: "-"
- slug: secure-implementing-policies-c
  group: Secure and Protect
  parent: secure-implementing-policies
  micro_job: Defining what which types of vulnerabilities are relevant to my org
  jtbd: When I am configuring a security scan, I want to specify which types of vulnerabilities the scan should detect, So that we don't waste time sorting through irrelevant findings.
  grade: "-"
- slug: secure-implementing-policies-d
  group: Secure and Protect
  parent: secure-implementing-policies
  micro_job: Enabling security tests
  jtbd: When I am either enabling or configuring a security scan, I want to run a demo scan, So that I can validate my configuration before it is implemented
  grade: "-"

- slug: secure-implementing-controls
  group: Secure and Protect
  parent:
  short_jtbd: Implementing security controls in developer workflow
  grade: "-"
- slug: secure-implementing-controls-a
  group: Secure and Protect
  micro_job: Defining what vulnerabilities must be remediated before code can be integrated
  parent: secure-implementing-controls
  jtbd: When I am implementing security controls in my org, I want to define what vulnerabilities must be resolved prior to release, So I can prevent business-critical vulnerabilities from being introduced into production.
  grade: "-"
- slug: secure-implementing-controls-b
  group: Secure and Protect
  parent: secure-implementing-controls
  micro_job: Defining who to alert and under which circumstances
  jtbd: When I am implementing security controls in my org, I want to specify who needs to review and approve changes to my assets, So that I can ensure that the changes to my assets maintain compliance with my org's policies
  grade: "-"

- slug: secure-identifying-risk
  group: Secure and Protect
  parent:
  short_jtbd: Identifying risk in my org's assets
  grade: "-"
- slug: secure-identifying-risk-a
  group: Secure and Protect
  parent: secure-identifying-risk
  micro_job: Identifying vulnerabilities in new code
  jtbd: When committing changes to my project, I want to know if I introduced any business-critical vulnerabilities, So that I can address them prior to sending my code for review.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/acde4d0a-768a-4c64-82ce-83807b8676a5/readme
- slug: secure-identifying-risk-b
  group: Secure and Protect
  parent: secure-identifying-risk
  micro_job: Identifying vulnerabilities in new code
  jtbd: When I am ready to release changes into production, I want to verify it is safe to release, So that I can release the changes responsibly.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/acde4d0a-768a-4c64-82ce-83807b8676a5/readme
- slug: secure-identifying-risk-c
  group: Secure and Protect
  parent: secure-identifying-risk
  micro_job: Identifying vulnerabilities in existing code
  jtbd: When I am assessing the security of my application in production, I want to know whether my app is currently vulnerable so I can address detected business-critical vulnerabilities
  grade: "-"
  confidence: Researched

- slug: secure-addressing-vulnerabilities
  group: Secure and Protect
  parent:
  short_jtbd: Addressing detected business-critical vulnerabilities
  grade: "-"
- slug: secure-addressing-vulnerabilities-a
  group: Secure and Protect
  parent: secure-addressing-vulnerabilities
  micro_job: Triaging vulnerabilities
  jtbd: When I am triaging vulns, I want to address business-critical risks, So I can ensure there is no unattended risk in my orgs assets.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/acde4d0a-768a-4c64-82ce-83807b8676a5/readme
- slug: secure-addressing-vulnerabilities-b
  group: Secure and Protect
  parent: secure-addressing-vulnerabilities
  micro_job: Remediating or mitigating confirmed business-critical risk
  jtbd: When my code has been scanned, I want to resolve the confirmed business-critical vulnerabilities, So I can ensure my changes are compliant with my org's risk policies.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/acde4d0a-768a-4c64-82ce-83807b8676a5/readme
- slug: secure-addressing-vulnerabilities-c
  group: Secure and Protect
  parent: secure-addressing-vulnerabilities
  micro_job: Exempting detected vulnerabilities from further actions
  jtbd: When I have proven a vulnerability to be either a FP or to be not business critical, I want to exempt it, So that it's clearer for me and my teammates what vulnerabilities we should be focusing on.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/acde4d0a-768a-4c64-82ce-83807b8676a5/readme
- slug: secure-addressing-vulnerabilities-d
  group: Secure and Protect
  parent: secure-addressing-vulnerabilities
  micro_job: Orchestrating remediation
  jtbd: When I have proven a business-critical true positives, I want to initiate and support remediation efforts, So that I can ensure the vulnerability get remediated.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/acde4d0a-768a-4c64-82ce-83807b8676a5/readme
- slug: secure-addressing-vulnerabilities-e
  group: Secure and Protect
  parent: secure-addressing-vulnerabilities
  micro_job: Determining the risk of the vulns found in my application
  jtbd: When I am Investigating a vulnerability, I want to determine it's risk level, So that I can take the next appropriate action.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/acde4d0a-768a-4c64-82ce-83807b8676a5/readme
- slug: secure-addressing-vulnerabilities-f
  group: Secure and Protect
  parent: secure-addressing-vulnerabilities
  micro_job: Verifying resolved business-critical vulnerabilities
  jtbd: When I am made aware a vulnerability has been resolved, I want to verify it has been remediated, So that I can ensure it no longer poses a risk.
  grade: "-"
  confidence: Researched
  source: https://dovetailapp.com/projects/acde4d0a-768a-4c64-82ce-83807b8676a5/readme
- slug: secure-license-compliance
  group: Secure and Protect
  parent:
  short_jtbd: License compliance
  grade: "-"
- slug: secure-license-compliance-a
  group: Secure and Protect
  parent: secure-license-compliance
  micro_job: Applying license compliance policies (Little Job)
  jtbd: When I am creating a compliance framework for my organization to follow, I want to implement policies for software licenses, So I can ensure my org maintains compliance.
  grade: "-"
- slug: secure-license-compliance-b
  group: Secure and Protect
  parent: secure-license-compliance
  micro_job: Complying with my project's license compliance policies (Little Job)
  jtbd: When I am committing changes to my application, I want to be made aware if I am violating a policy, So I can ensure my changes maintain compliance with my org's policies.
  grade: "-"
